OfonoSimManager Class Reference

This class is used to access oFono SIM API. More...

`#include <ofonosimmanager.h>`

Inheritance diagram for OfonoSimManager:

## Public Slots

void | changePin (const QString &pintype, const QString &oldpin, const QString &newpin)
void | enterPin (const QString &pintype, const QString &pin)
void | resetPin (const QString &pintype, const QString &puk, const QString &newpin)
void | lockPin (const QString &pintype, const QString &pin)
void | unlockPin (const QString &pintype, const QString &pin)
void | getIcon (quint8 id)
void | setSubscriberNumbers (const QStringList &numbers)

## Signals

void | presenceChanged (bool ispresent)
void | subscriberIdentityChanged (const QString &imsi)
void | mobileCountryCodeChanged (const QString &mcc)
void | mobileNetworkCodeChanged (const QString &mnc)
void | subscriberNumbersChanged (const QStringList &msisdns)
void | setSubscriberNumbersFailed ()
void | serviceNumbersChanged (const OfonoServiceNumbers &sdns)
void | pinRequiredChanged (const QString &pintype)
void | lockedPinsChanged (const QStringList &pins)
void | cardIdentifierChanged (const QString &iccid)
void | preferredLanguagesChanged (const QStringList &languages)
void | pinRetriesChanged (const OfonoPinRetries &pinRetries)
void | fixedDialingChanged (bool fixedDialing)
void | barredDialingChanged (bool barredDialing)
void | changePinComplete (bool success)
void | enterPinComplete (bool success)
void | resetPinComplete (bool success)
void | lockPinComplete (bool success)
void | unlockPinComplete (bool success)
void | getIconComplete (bool success, const QByteArray &icon)
Signals inherited from OfonoModemInterface
void | validityChanged (bool validity)
| Interface validity has changed.

## Public Member Functions

| OfonoSimManager (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, QObject *parent=0)
bool | present () const
QString | subscriberIdentity () const
QString | mobileCountryCode () const
QString | mobileNetworkCode () const
QStringList | subscriberNumbers () const
OfonoServiceNumbers | serviceNumbers () const
QString | pinRequired () const
QStringList | lockedPins () const
QString | cardIdentifier () const
QStringList | preferredLanguages () const
OfonoPinRetries | pinRetries () const
bool | fixedDialing () const
bool | barredDialing () const
Public Member Functions inherited from OfonoModemInterface
| OfonoModemInterface (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, const QString &ifname, OfonoGetPropertySetting propertySetting, QObject *parent=0)
| Construct a modem interface object.
bool | isValid () const
| Check that the modem interface object is valid.
OfonoModem * | modem () const
| Get the modem object that this interface belongs to.
QString | path () const
| Returns the D-Bus object path of the interface.
QString | errorName () const
| Get the D-Bus error name of the last operation.
QString | errorMessage () const
| Get the D-Bus error message of the last operation.

## Properties

bool | present
QString | subscriberIdentity
QString | mobileCountryCode
QString | mobileNetworkCode
QStringList | subscriberNumbers
QString | pinRequired
QStringList | lockedPins
QString | cardIdentifier
QStringList | preferredLanguages
OfonoPinRetries | pinRetries
bool | fixedDialing
bool | barredDialing
Properties inherited from OfonoModemInterface
bool | isValid
QString | path
QString | errorName
QString | errorMessage

## Additional Inherited Members

Protected Attributes inherited from OfonoModemInterface
OfonoInterface * | m_if

## Detailed Description

This class is used to access oFono SIM API.

The API is documented in http://git.kernel.org/?p=network/ofono/ofono.git;a=blob_plain;f=doc/sim-api.txt

The documentation for this class was generated from the following file:

- lib/ofonosimmanager.h